SELECT
        COUNT(*) AS stat_value,
        'new_inserted_ads_vf'  <%(?lang) || '_%lang'%> AS stat_name
FROM (
        SELECT
                inserted.ad_id,
                action_type,
                inserted.timestamp AS inserted_at,
                verified.timestamp AS verified_at,
                reviewed.timestamp AS reviewed_at,
                reviewed.state AS review_result
        FROM
                ad_actions JOIN
                action_states inserted ON (action_type = 'new' AND ad_actions.ad_id = inserted.ad_id AND ad_actions.action_id = inserted.action_id) LEFT JOIN
                action_states verified ON (inserted.ad_id = verified.ad_id AND inserted.action_id = verified.action_id AND verified.transition='verify') LEFT JOIN
                action_states reviewed ON (verified.ad_id = reviewed.ad_id AND verified.action_id = reviewed.action_id AND reviewed.state IN ('accepted', 'refused'))
                <%(?lang)
				LEFT JOIN	
					ads ON (ads.ad_id=ad_actions.ad_id)	
				%>
        WHERE
		<%(?lang) lang='%lang' AND %>
                inserted.transition = 'initial' AND inserted.state='reg' AND
                inserted.timestamp >= '<%%stat_time%>' AND inserted.timestamp <= (
                                        SELECT
                                                MAX(inserted2.timestamp)
                                        FROM
                                                ad_actions JOIN
                                                action_states inserted2 USING(ad_id, action_id) JOIN
                                                action_states reviewed2 USING(ad_id, action_id)
                                        WHERE
                                                action_type = 'new' AND
                                                inserted2.transition = 'initial' AND inserted2.state = 'reg' AND
                                                inserted2.timestamp >= '<%%stat_time%>' AND inserted2.timestamp < TIMESTAMP '<%%stat_time%>' + INTERVAL '1 day' AND
                                                reviewed2.transition IN ('accept', 'accept_w_chngs', 'refuse')
                )
        ) listing
WHERE
        verified_at IS NOT NULL
;

